package com.shinsoft.dameng.test.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.shinsoft.generator.model.BaseModel;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * <p>
 * 相关方名录表
 * </p>
 *
 * @author system
 * @since 2025-04-24
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("SXSF_CONTRACTOR_EVALUATE")
@ApiModel(value = "ContractorEvaluate对象", description = "相关方名录表")
public class ContractorEvaluate extends BaseModel {

    private static final long serialVersionUID = 1L;

    private String companyName;

    @JSONField(format="yyyy-MM-dd")
    private Date errorDate;

    private String linkDept;

    private String errorDescribe;

    private Integer reduceScore;

    private String attachFile;
}
