-- drop table     ;
create table "SAFEPLAT"."T_TEST_APP"
(
        "C_TIMESTAMP" TIMESTAMP ,
        "C_DATETIME" DATETIME ,
        "C_NUMBER" NUMBER(12,2) ,
        "C_DOUBLE" DOUBLE ,
        "C_FLOAG" FLOAT ,
        "C_INT" INT ,
        "C_VARCHAR" VARCHAR(200)   ,
        "C_CHAR" CHAR(50)   ,
        "ID" VARCHAR(32) NOT NULL  ,
        "PROCESS_INSTANCE_ID" VARCHAR(32)   ,
        "PROCESS_INSTANCE_STATUS" VARCHAR(50)   ,
        "ADD_ID" VARCHAR(32)   ,
        "ADD_CODE" VARCHAR(50)   ,
        "ADD_NAME" VARCHAR(50)   ,
        "ADD_DEPT_Id" VARCHAR(50)   ,
        "ADD_DEPT_CODE" VARCHAR(50)   ,
        "ADD_DEPT_NAME" VARCHAR(50)   ,
        "ADD_TIME" DATETIME ,
        "MODIFY_ID" VARCHAR(32)   ,
        "MODIFY_CODE" VARCHAR(50)   ,
        "MODIFY_NAME" VARCHAR(50)   ,
        "MODIFY_TIME" DATETIME ,
        "CANCEL_ID" VARCHAR(32)   ,
        "CANCEL_CODE" VARCHAR(50)   ,
        "CANCEL_NAME" VARCHAR(50)   ,
        "CANCEL_TIME" DATETIME ,
        "CANCEL_FLAG" VARCHAR(50)   ,
        "BELONG_ID" VARCHAR(32)   ,
UNIQUE("ID"),
NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "TBS_SAFEPLAT", CLUSTERBTR) ;

    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_TIMESTAMP"  is '时间戳';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_DATETIME"  is '日期时间';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_NUMBER"  is '数字';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_DOUBLE"  is '双浮点';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_FLOAG"  is '浮点';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_INT"  is '整数';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_VARCHAR"  is '字符串';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."C_CHAR"  is '字符';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ID"  is '主键';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."PROCESS_INSTANCE_ID"  is '流程id';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."PROCESS_INSTANCE_STATUS"  is '流程状态';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ADD_ID"  is '添加人id';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ADD_CODE"  is '添加人编码';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ADD_NAME"  is '添加人名称';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ADD_DEPT_Id"  is '添加部门id';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ADD_DEPT_CODE"  is '添加部门编码';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ADD_DEPT_NAME"  is '添加部门名称';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."ADD_TIME"  is '添加时间';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."MODIFY_ID"  is '修改人id';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."MODIFY_CODE"  is '修改人编码';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."MODIFY_NAME"  is '修改人名称';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."MODIFY_TIME"  is '修改时间';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."CANCEL_ID"  is '作废人id';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."CANCEL_CODE"  is '作废人编码';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."CANCEL_NAME"  is '作废人名称';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."CANCEL_TIME"  is '作废时间';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."CANCEL_FLAG"  is '作废标记';
    COMMENT ON COLUMN "SAFEPLAT"."T_TEST_APP"."BELONG_ID"  is 'BELONG_ID';
