package com.shinsoft.oracle.jinlei.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.shinsoft.generator.model.BaseModel;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * <p>
 * 
 * </p>
 *
 * @author system
 * @since 2025-05-09
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("EXP_JINLEI")
@ApiModel(value = "Jinlei对象", description = "")
public class Jinlei extends BaseModel {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("工作流实例ID")
    private String workId;

    @ApiModelProperty("工作流路径ID")
    private String trackId;
}
