package com.shinsoft.oracle.my.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.shinsoft.generator.model.BaseModel;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * <p>
 * 
 * </p>
 *
 * @author system
 * @since 2025-04-24
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("T_MY_TEST")
@ApiModel(value = "Test对象", description = "")
public class Test extends BaseModel {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("数字")
    private BigDecimal testNum;

    @ApiModelProperty("名字")
    private String testName;

    @ApiModelProperty("时间")
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date testTime;
}
