package com.shinsoft.oracle.pur.service;

import com.shinsoft.oracle.pur.model.OrdHead;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;


/**
 * <p>
 * 采购订单头 服务类
 * </p>
 *
 * @author system
 * @since 2025-04-24
 */
public interface OrdHeadService extends IService<OrdHead> {

   ResultJSON query(int page, int rows,String params);

   ResultJSON queryByPK(String id);

   ResultJSON save(String userId, String json);

   ResultJSON remove(String userId, String id);

   ResultJSON removeBatch(String userId, String ids);

 }
