package com.shinsoft.ware.controller;

import com.shinsoft.ware.service.AutoService;
import com.shinsoft.ware.service.FeginService;
import com.shinsoft.tools.ExceptionTools;
import com.shinsoft.tools.JSONTools;
import com.shinsoft.tools.model.common.ResponseCodeMsg;
import com.shinsoft.tools.model.common.ResultJSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/Fegin")
public class FeginController {



        @Autowired
        private FeginService feginService;

        ResultJSON resultJSON;


    @RequestMapping(value = "/query")
    public ResultJSON query(  HttpServletRequest request) {
        try {
            String userId = (String) request.getHeader("userId");
            resultJSON = feginService.query(userId);
        } catch (Exception ex) {
            ex.printStackTrace();
            resultJSON = JSONTools.toResultJSON(ResponseCodeMsg.CODE_EX, ExceptionTools.getExceptionAllinformation(ex));
        } finally {
            return resultJSON;
        }
    }
}
