package com.shinsoft.ware.mapper;

import com.shinsoft.ware.model.Imexport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 采购订单行 Mapper 接口
 * </p>
 *
 * @author system
 * @since 2024-10-08
 */
public interface ImexportMapper extends BaseMapper<Imexport> {

 @Select("SELECT * FROM EXP_IMEXPORT WHERE ID = #{id}" )
 Imexport selectByPK(String id);
 @Delete("delete FROM EXP_IMEXPORT" )
 int deleteAll();
}
