package com.shinsoft.ware.model;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@EqualsAndHashCode
@ExcelIgnoreUnannotated
public class ExportData {

    @ExcelProperty("公司代码")
    private String compCd;

    @ExcelProperty("订单号")
    private String ordNo;

    @ExcelProperty("物料编码")
    private String itemCd;

    @ExcelProperty("物料名称")
    private String itemNm;

    @ExcelProperty("数量")
    private Double quantity;

    @ExcelProperty("含税单价")
    private Double amount;

    @ExcelProperty("含税金额")
    private Double taxAmount;

    @ExcelProperty("交货日期")
    private Date delvDt;

    @ExcelProperty("导入人")
    private String addName;

    @ExcelProperty("导入时间")
    private Date addTime;


}
