package com.shinsoft.ware.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.shinsoft.generator.model.BaseModel;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * <p>
 * 
 * </p>
 *
 * @author system
 * @since 2024-08-30
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("EXP_SEARCH_SINGLE")
@ApiModel(value = "SearchSingle对象", description = "")
public class SearchSingle extends BaseModel {

    private static final long serialVersionUID = 1L;

    @JSONField(format="yyyy-MM-dd")
    private Date birthDate;

    private String sex;

    private String type;

    private Integer age;

    private String code;

    private String name;
}
