package com.shinsoft.ware.service;

import com.shinsoft.ware.model.Imexport;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;


/**
 * <p>
 * 采购订单行 服务类
 * </p>
 *
 * @author system
 * @since 2024-10-08
 */
public interface ImexportService extends IService<Imexport> {

    ResultJSON query(int page, int rows, String params);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);

    ResultJSON removeAll(String userId);

    ResultJSON importExcel(HttpServletRequest request) throws IOException;

    void exportExcel(String params,HttpServletRequest request, HttpServletResponse response) throws IOException;
}
