package com.shinsoft.ware.service;

import com.shinsoft.ware.model.SearchFirst;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;

import java.util.Date;


/**
 * <p>
 * 服务类
 * </p>
 *
 * @author system
 * @since 2024-08-30
 */
public interface SearchService extends IService<SearchFirst> {
    ResultJSON structure(String params);

    ResultJSON annotate(String params);

    ResultJSON xml(String params);

    ResultJSON structurePage(int page, int rows, String params);

    ResultJSON annotatePage(int page, int rows, String params);

    ResultJSON xmlPage(int page, int rows, String params);


    ResultJSON paramJsonPage( String userId,int page,
                              int rows, String type, String code, String name, String[] addTime, String birthDate, int age);

    ResultJSON paramStringPage(String userId, String params);
}
