package com.shinsoft.ware.service.impl;

import com.alibaba.fastjson.JSON;
import com.shinsoft.ware.mapper.PackageMapper;
import com.shinsoft.ware.service.PackageService;
import com.shinsoft.tools.JSONTools;
import com.shinsoft.tools.model.common.ResultJSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public class PackageServiceImpl implements PackageService {
    @Autowired
    PackageMapper packageMapper;


    ResultJSON resultJSON;

    @Override
    public ResultJSON doProc(String procName, String param) {
        List<String> list = JSON.parseArray(param, String.class);
        int s_code = 0;
        String s_result = "";
        HashMap<String, Object> map = new HashMap<String, Object>();
        map.put("procName", procName);
        map.put("param", list);
        map.put("code", 0);
        map.put("results", "");
        packageMapper.updateProc(map);
        s_code = Integer.parseInt(map.get("code").toString());
        s_result = (String) map.get("results");
        if (s_code == 0) {
            resultJSON = JSONTools.toResultJSON(s_result);
        } else {
            resultJSON = JSONTools.toResultJSON(s_code, s_result);
        }
        return resultJSON;
    }
}
