-- drop table     ;
create table EXP_IMEXPORT
(
        COMP_CD      VARCHAR2(20)  ,
        ORD_HEAD_ID      VARCHAR2(32)  ,
        ORD_NO      VARCHAR2(30)  ,
        ORD_LN      VARCHAR2(20)  ,
        ITEM_ID      VARCHAR2(32)  ,
        ITEM_CD      VARCHAR2(40)  ,
        ITEM_NM      VARCHAR2(500)  ,
        STL_GRD      VARCHAR2(50)  ,
        SPEC_TYPE      VARCHAR2(200)  ,
        QUANTITY_WET      NUMBER(12,3),
        QUANTITY      NUMBER(12,3),
        UNIT      VARCHAR2(20)  ,
        CONTR_PRICE      NUMBER(12,3),
        PRICE      NUMBER(12,3),
        TAX_PRICE      NUMBER(12,3),
        TAX_RATE      NUMBER(12,3),
        TAX_RATE_CD      VARCHAR2(50)  ,
        CONTR_EX_RATE      NUMBER(12,3),
        PAY_EX_RATE      NUMBER(12,3),
        LOCK_EX_RATE      NUMBER(12,3),
        EX_RATE_DT      DATE,
        AMOUNT      NUMBER(12,3),
        TAX_AMOUNT      NUMBER(12,3),
        TOTAL_AMOUNT      NUMBER(12,3),
        CURRENCY_CD      VARCHAR2(20)  ,
        DELV_DT      DATE,
        SUBMIT_EMP_ID      VARCHAR2(32)  ,
        SUBMIT_FLAG      VARCHAR2(1)  ,
        SUBMIT_DTM      DATE,
        ORD_NO_OLD      VARCHAR2(200)  ,
        ORD_LN_OLD      VARCHAR2(200)  ,
        DELV_TOL_MAX      NUMBER(12,3),
        DELV_TOL_MIN      NUMBER(12,3),
        CHECK_EMP_ID      VARCHAR2(32)  ,
        CHECK_YN      VARCHAR2(1)  ,
        CHECK_DTM      DATE,
        ORD_STATUS      VARCHAR2(20)  ,
        DEPT_ID      VARCHAR2(32)  ,
        DEPT_CD      VARCHAR2(20)  ,
        DEPT_NM      VARCHAR2(300)  ,
        PUR_EMP_CARD      VARCHAR2(32)  ,
        PUR_EMP_NM      VARCHAR2(32)  ,
        INV_ORG_CD      VARCHAR2(50)  ,
        INV_ORG_NM      VARCHAR2(240)  ,
        SALE_NO      VARCHAR2(30)  ,
        SALE_LINE_NO      VARCHAR2(20)  ,
        DIRECTIVE_NO      VARCHAR2(20)  ,
        ACCOUNT      VARCHAR2(20)  ,
        STO_QUANTITY      NUMBER(12,3),
        STO_FLAG      VARCHAR2(2)  ,
        RESERVE1      VARCHAR2(50)  ,
        RESERVE2      VARCHAR2(20)  ,
        TO_ERP_ID      NUMBER(12,0),
        ACT_SUPPLIER_CD      VARCHAR2(20)  ,
        ACT_SUPPLIER_NM      VARCHAR2(200)  ,
        RESERVE3      VARCHAR2(50)  ,
        RESERVE4      VARCHAR2(20)  ,
        RESERVE5      VARCHAR2(50)  ,
        RESERVE6      VARCHAR2(20)  ,
        RESERVE7      VARCHAR2(50)  ,
        RESERVE8      VARCHAR2(20)  ,
        RESERVE9      VARCHAR2(50)  ,
        RESERVE10      VARCHAR2(20)  ,
        RESERVE11      VARCHAR2(20)  ,
        RESERVE12      VARCHAR2(20)  ,
        RESERVE13      VARCHAR2(20)  ,
        RESERVE14      VARCHAR2(20)  ,
        RESERVE15      VARCHAR2(20)  ,
        RESERVE16      VARCHAR2(20)  ,
        RESERVE17      VARCHAR2(20)  ,
        RESERVE18      VARCHAR2(20)  ,
        RESERVE19      VARCHAR2(20)  ,
        RESERVE20      VARCHAR2(20)  ,
        QUANTITY_UPPER      VARCHAR2(20)  ,
        QUANTITY_LOWER      VARCHAR2(20)  ,
        EXPENSE_TYPE      VARCHAR2(20)  ,
        TRADE_FLAG      VARCHAR2(1)  ,
        TRADE_TIME      DATE,
        ID      VARCHAR2(32) not null ,
        PROCESS_INSTANCE_ID      VARCHAR2(32)  ,
        PROCESS_INSTANCE_STATUS      VARCHAR2(50)  ,
        ADD_ID      VARCHAR2(32)  ,
        ADD_CODE      VARCHAR2(50)  ,
        ADD_NAME      VARCHAR2(50)  ,
        ADD_DEPT_Id      VARCHAR2(50)  ,
        ADD_DEPT_CODE      VARCHAR2(50)  ,
        ADD_DEPT_NAME      VARCHAR2(50)  ,
        ADD_TIME      DATE,
        MODIFY_ID      VARCHAR2(32)  ,
        MODIFY_CODE      VARCHAR2(50)  ,
        MODIFY_NAME      VARCHAR2(50)  ,
        MODIFY_TIME      DATE,
        CANCEL_ID      VARCHAR2(32)  ,
        CANCEL_CODE      VARCHAR2(50)  ,
        CANCEL_NAME      VARCHAR2(50)  ,
        CANCEL_TIME      DATE,
        CANCEL_FLAG      VARCHAR2(50)  ,
        BELONG_ID      VARCHAR2(32)  
)
tablespace SGIIP_DATA
pctfree 10
initrans 1
maxtrans 255
storage
(
initial 64
next 1
minextents 1
maxextents unlimited
);
-- Add comments to the columns

    comment on column EXP_IMEXPORT.COMP_CD
    is '公司代码';
    comment on column EXP_IMEXPORT.ORD_HEAD_ID
    is '订单头ID';
    comment on column EXP_IMEXPORT.ORD_NO
    is '订单号';
    comment on column EXP_IMEXPORT.ORD_LN
    is '订单行号';
    comment on column EXP_IMEXPORT.ITEM_ID
    is '物料ID';
    comment on column EXP_IMEXPORT.ITEM_CD
    is '物料编码';
    comment on column EXP_IMEXPORT.ITEM_NM
    is '物料名称';
    comment on column EXP_IMEXPORT.STL_GRD
    is '钢种';
    comment on column EXP_IMEXPORT.SPEC_TYPE
    is '规格型号';
    comment on column EXP_IMEXPORT.QUANTITY_WET
    is '湿基';
    comment on column EXP_IMEXPORT.QUANTITY
    is '数量';
    comment on column EXP_IMEXPORT.UNIT
    is '计量单位';
    comment on column EXP_IMEXPORT.CONTR_PRICE
    is '合同价';
    comment on column EXP_IMEXPORT.PRICE
    is '单价';
    comment on column EXP_IMEXPORT.TAX_PRICE
    is '含税单价';
    comment on column EXP_IMEXPORT.TAX_RATE
    is '税率';
    comment on column EXP_IMEXPORT.TAX_RATE_CD
    is '税码';
    comment on column EXP_IMEXPORT.CONTR_EX_RATE
    is '合同汇率';
    comment on column EXP_IMEXPORT.PAY_EX_RATE
    is '结算汇率';
    comment on column EXP_IMEXPORT.LOCK_EX_RATE
    is '锁汇汇率';
    comment on column EXP_IMEXPORT.EX_RATE_DT
    is '汇率日期';
    comment on column EXP_IMEXPORT.AMOUNT
    is '金额';
    comment on column EXP_IMEXPORT.TAX_AMOUNT
    is '税额';
    comment on column EXP_IMEXPORT.TOTAL_AMOUNT
    is '价税合计';
    comment on column EXP_IMEXPORT.CURRENCY_CD
    is '币种';
    comment on column EXP_IMEXPORT.DELV_DT
    is '交货日期';
    comment on column EXP_IMEXPORT.SUBMIT_EMP_ID
    is '上传人';
    comment on column EXP_IMEXPORT.SUBMIT_FLAG
    is '上传标记';
    comment on column EXP_IMEXPORT.SUBMIT_DTM
    is '上传时间';
    comment on column EXP_IMEXPORT.ORD_NO_OLD
    is '原订单号';
    comment on column EXP_IMEXPORT.ORD_LN_OLD
    is '原订单行号';
    comment on column EXP_IMEXPORT.DELV_TOL_MAX
    is '允差上限';
    comment on column EXP_IMEXPORT.DELV_TOL_MIN
    is '允差下限';
    comment on column EXP_IMEXPORT.CHECK_EMP_ID
    is '确认人';
    comment on column EXP_IMEXPORT.CHECK_YN
    is '确认标记';
    comment on column EXP_IMEXPORT.CHECK_DTM
    is '确认时间';
    comment on column EXP_IMEXPORT.ORD_STATUS
    is '订单状态';
    comment on column EXP_IMEXPORT.DEPT_ID
    is '采购部门ID';
    comment on column EXP_IMEXPORT.DEPT_CD
    is '采购部门编码';
    comment on column EXP_IMEXPORT.DEPT_NM
    is '采购部门';
    comment on column EXP_IMEXPORT.PUR_EMP_CARD
    is '采购人员身份证';
    comment on column EXP_IMEXPORT.PUR_EMP_NM
    is '采购人员';
    comment on column EXP_IMEXPORT.INV_ORG_CD
    is '库存组织代码';
    comment on column EXP_IMEXPORT.INV_ORG_NM
    is '库存组织名称';
    comment on column EXP_IMEXPORT.SALE_NO
    is '销售订单号';
    comment on column EXP_IMEXPORT.SALE_LINE_NO
    is '销售订单行号';
    comment on column EXP_IMEXPORT.DIRECTIVE_NO
    is '生产指令号';
    comment on column EXP_IMEXPORT.ACCOUNT
    is '结算量';
    comment on column EXP_IMEXPORT.STO_QUANTITY
    is '入库量';
    comment on column EXP_IMEXPORT.STO_FLAG
    is '入库状态';
    comment on column EXP_IMEXPORT.RESERVE1
    is '备用1(合同行号ID)';
    comment on column EXP_IMEXPORT.RESERVE2
    is '备用2';
    comment on column EXP_IMEXPORT.TO_ERP_ID
    is 'ERP接口ID';
    comment on column EXP_IMEXPORT.ACT_SUPPLIER_CD
    is '供应商编码(日照)';
    comment on column EXP_IMEXPORT.ACT_SUPPLIER_NM
    is '供应商名称(日照)';
    comment on column EXP_IMEXPORT.RESERVE3
    is '钢板厚度';
    comment on column EXP_IMEXPORT.RESERVE4
    is '备用4';
    comment on column EXP_IMEXPORT.RESERVE5
    is '备用5';
    comment on column EXP_IMEXPORT.RESERVE6
    is '备用6';
    comment on column EXP_IMEXPORT.RESERVE7
    is '备用7';
    comment on column EXP_IMEXPORT.RESERVE8
    is '备用8';
    comment on column EXP_IMEXPORT.RESERVE9
    is '传送MES时间';
    comment on column EXP_IMEXPORT.RESERVE10
    is '传送MES标记';
    comment on column EXP_IMEXPORT.RESERVE11
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE12
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE13
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE14
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE15
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE16
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE17
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE18
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE19
    is '备用';
    comment on column EXP_IMEXPORT.RESERVE20
    is '备用';
    comment on column EXP_IMEXPORT.QUANTITY_UPPER
    is '上允差';
    comment on column EXP_IMEXPORT.QUANTITY_LOWER
    is '下允差';
    comment on column EXP_IMEXPORT.EXPENSE_TYPE
    is '费用类型';
    comment on column EXP_IMEXPORT.TRADE_FLAG
    is '集团贸易生成标记';
    comment on column EXP_IMEXPORT.TRADE_TIME
    is '集团贸易生成时间';
    comment on column EXP_IMEXPORT.ID
    is '主键';
    comment on column EXP_IMEXPORT.PROCESS_INSTANCE_ID
    is '流程id';
    comment on column EXP_IMEXPORT.PROCESS_INSTANCE_STATUS
    is '流程状态';
    comment on column EXP_IMEXPORT.ADD_ID
    is '添加人id';
    comment on column EXP_IMEXPORT.ADD_CODE
    is '添加人编码';
    comment on column EXP_IMEXPORT.ADD_NAME
    is '添加人名称';
    comment on column EXP_IMEXPORT.ADD_DEPT_Id
    is '添加部门id';
    comment on column EXP_IMEXPORT.ADD_DEPT_CODE
    is '添加部门编码';
    comment on column EXP_IMEXPORT.ADD_DEPT_NAME
    is '添加部门名称';
    comment on column EXP_IMEXPORT.ADD_TIME
    is '添加时间';
    comment on column EXP_IMEXPORT.MODIFY_ID
    is '修改人id';
    comment on column EXP_IMEXPORT.MODIFY_CODE
    is '修改人编码';
    comment on column EXP_IMEXPORT.MODIFY_NAME
    is '修改人名称';
    comment on column EXP_IMEXPORT.MODIFY_TIME
    is '修改时间';
    comment on column EXP_IMEXPORT.CANCEL_ID
    is '作废人id';
    comment on column EXP_IMEXPORT.CANCEL_CODE
    is '作废人编码';
    comment on column EXP_IMEXPORT.CANCEL_NAME
    is '作废人名称';
    comment on column EXP_IMEXPORT.CANCEL_TIME
    is '作废时间';
    comment on column EXP_IMEXPORT.CANCEL_FLAG
    is '作废标记';
    comment on column EXP_IMEXPORT.BELONG_ID
    is 'BELONG_ID';

-- Create/Recreate primary, unique and foreign key constraints
alter table EXP_IMEXPORT
add constraint EXP_IMEXPORT_PK primary key (ID)
using index
tablespace SGIIP_DATA
pctfree 10
initrans 2
maxtrans 255
storage
(
initial 64K
next 1M
minextents 1
maxextents unlimited
);
