package com.shinsoft.dameng.test.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.shinsoft.generator.model.BaseModel;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * <p>
 * 
 * </p>
 *
 * @author system
 * @since 2025-04-24
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("T_TEST_APP")
@ApiModel(value = "App对象", description = "")
public class App extends BaseModel {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("时间戳")
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date cTimestamp;

    @ApiModelProperty("日期时间")
    @JSONField(format="yyyy-MM-dd")
    private Date cDatetime;

    @ApiModelProperty("数字")
    private BigDecimal cNumber;

    @ApiModelProperty("双浮点")
    private Double cDouble;

    @ApiModelProperty("浮点")
    private Double cFloag;

    @ApiModelProperty("整数")
    private Integer cInt;

    @ApiModelProperty("字符串")
    private String cVarchar;

    @ApiModelProperty("字符")
    private String cChar;
}
