create table T_TEST_CREATE
(
        C_TIME      datetime DEFAULT NULL COMMENT '时间',
        C_DATE      date DEFAULT NULL COMMENT '日期',
        C_DOUBLE      double(15,3) DEFAULT NULL COMMENT '双浮点',
        C_FLOAT      float(12,2) DEFAULT NULL COMMENT '浮点',
        C_INT      int(10) DEFAULT NULL COMMENT '整数',
        CODE      varchar(32) DEFAULT NULL COMMENT '编码',
        ID      varchar(32) NOT NULL COMMENT '主键',
        PROCESS_INSTANCE_ID      varchar(32) DEFAULT NULL COMMENT '流程id',
        PROCESS_INSTANCE_STATUS      varchar(50) DEFAULT NULL COMMENT '流程状态',
        ADD_ID      varchar(32) DEFAULT NULL COMMENT '添加人id',
        ADD_CODE      varchar(50) DEFAULT NULL COMMENT '添加人编码',
        ADD_NAME      varchar(50) DEFAULT NULL COMMENT '添加人名称',
        ADD_DEPT_Id      varchar(50) DEFAULT NULL COMMENT '添加部门id',
        ADD_DEPT_CODE      varchar(50) DEFAULT NULL COMMENT '添加部门编码',
        ADD_DEPT_NAME      varchar(50) DEFAULT NULL COMMENT '添加部门名称',
        ADD_TIME      datetime DEFAULT NULL COMMENT '添加时间',
        MODIFY_ID      varchar(32) DEFAULT NULL COMMENT '修改人id',
        MODIFY_CODE      varchar(50) DEFAULT NULL COMMENT '修改人编码',
        MODIFY_NAME      varchar(50) DEFAULT NULL COMMENT '修改人名称',
        MODIFY_TIME      datetime DEFAULT NULL COMMENT '修改时间',
        CANCEL_ID      varchar(32) DEFAULT NULL COMMENT '作废人id',
        CANCEL_CODE      varchar(50) DEFAULT NULL COMMENT '作废人编码',
        CANCEL_NAME      varchar(50) DEFAULT NULL COMMENT '作废人名称',
        CANCEL_TIME      datetime DEFAULT NULL COMMENT '作废时间',
        CANCEL_FLAG      varchar(50) DEFAULT NULL COMMENT '作废标记',
        BELONG_ID      varchar(32) DEFAULT NULL COMMENT 'BELONG_ID',
PRIMARY KEY (ID)
)  ROW_FORMAT = DYNAMIC CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;
