package com.shinsoft.oracle.study.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.shinsoft.generator.model.BaseModel;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * <p>
 * 
 * </p>
 *
 * @author system
 * @since 2025-05-09
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("EXP_PENGLIN")
@ApiModel(value = "Penglin对象", description = "")
public class Penglin extends BaseModel {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("身高")
    private String height;

    @ApiModelProperty("年龄")
    private String age;

    @ApiModelProperty("位置")
    private String position;

    @ApiModelProperty("球队")
    private String team;
}
