-- drop table     ;
create table EXP_CHENHUIJIE2
(
        NAME      VARCHAR2(3)  ,
        ID      VARCHAR2(32) not null ,
        PROCESS_INSTANCE_ID      VARCHAR2(32)  ,
        PROCESS_INSTANCE_STATUS      VARCHAR2(50)  ,
        ADD_ID      VARCHAR2(32)  ,
        ADD_CODE      VARCHAR2(50)  ,
        ADD_NAME      VARCHAR2(50)  ,
        ADD_DEPT_Id      VARCHAR2(50)  
)
tablespace TS_MAIN_DAT
pctfree 10
initrans 1
maxtrans 255
storage
(
initial 64
next 1
minextents 1
maxextents unlimited
);
-- Add comments to the columns

    comment on column EXP_CHENHUIJIE2.NAME
    is 'name';
    comment on column EXP_CHENHUIJIE2.ID
    is '主键';
    comment on column EXP_CHENHUIJIE2.PROCESS_INSTANCE_ID
    is '流程id';
    comment on column EXP_CHENHUIJIE2.PROCESS_INSTANCE_STATUS
    is '流程状态';
    comment on column EXP_CHENHUIJIE2.ADD_ID
    is '添加人id';
    comment on column EXP_CHENHUIJIE2.ADD_CODE
    is '添加人编码';
    comment on column EXP_CHENHUIJIE2.ADD_NAME
    is '添加人名称';
    comment on column EXP_CHENHUIJIE2.ADD_DEPT_Id
    is '添加部门id';

-- Create/Recreate primary, unique and foreign key constraints
alter table EXP_CHENHUIJIE2
add constraint EXP_CHENHUIJIE2_PK primary key (ID)
using index
tablespace TS_MAIN_DAT
pctfree 10
initrans 2
maxtrans 255
storage
(
initial 64K
next 1M
minextents 1
maxextents unlimited
);
