package com.shinsoft.ware.controller;

import com.shinsoft.ware.service.AutoService;
import com.shinsoft.ware.service.PackageService;
import com.shinsoft.tools.JSONTools;
import com.shinsoft.tools.model.common.ResponseCodeMsg;
import com.shinsoft.tools.model.common.ResultJSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/Package")
public class PackageController {

    @Autowired
    private PackageService packageService;

    ResultJSON resultJSON;


    @RequestMapping(value = "/doProc", method = RequestMethod.POST)
    public ResultJSON doProc(String procName,
                             String param) {
        try {
            resultJSON = packageService.doProc(procName, param);
        } catch (Exception ex) {
            ex.printStackTrace();
            resultJSON = JSONTools.toResultJSON(ResponseCodeMsg.CODE_EX, ex);
        } finally {
            return resultJSON;
        }
    }



}
