package com.shinsoft.ware.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.shinsoft.ware.model.Auto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author system
 * @since 2024-08-29
 */
public interface AutoMapper extends BaseMapper<Auto> {

    @Select("SELECT * FROM EXP_AUTO WHERE ID = #{id}")
    Auto selectByPK(String id);

    Page<Auto> selectPageXml(Page<Auto> autoPage, @Param("userId")String userId,@Param("flag")String flag,@Param("deptCodes") List<String> deptCode) ;

    Page<Auto> selectPageXmlMap(Page<Auto> autoPage, @Param("map")Map<String, Object> map);
}
