-- drop table     ;
create table EXP_SEARCH_SALVE
(
        ID      VARCHAR2(32) not null ,
        F_ID      VARCHAR2(32)  ,
        SALVE      VARCHAR2(50)  
)
tablespace SGIIP_DATA
pctfree 10
initrans 1
maxtrans 255
storage
(
initial 64
next 1
minextents 1
maxextents unlimited
);
-- Add comments to the columns

    comment on column EXP_SEARCH_SALVE.ID
    is '主键';
    comment on column EXP_SEARCH_SALVE.F_ID
    is '父id';
    comment on column EXP_SEARCH_SALVE.SALVE
    is '子名称';

-- Create/Recreate primary, unique and foreign key constraints
alter table EXP_SEARCH_SALVE
add constraint EXP_SEARCH_SALVE_PK primary key (ID)
using index
tablespace SGIIP_DATA
pctfree 10
initrans 2
maxtrans 255
storage
(
initial 64K
next 1M
minextents 1
maxextents unlimited
);
