
create table EXP_TEST
(
        TEST_CODE      VARCHAR2(10)  ,
        ID      VARCHAR2(32) not null ,
        PROCESS_INSTANCE_ID      VARCHAR2(32)  ,
        PROCESS_INSTANCE_STATUS      VARCHAR2(50)  ,
        ADD_ID      VARCHAR2(32)  ,
        ADD_CODE      VARCHAR2(50)  ,
        ADD_NAME      VARCHAR2(50)  ,
        ADD_DEPT_CODE      VARCHAR2(50)  ,
        ADD_DEPT_NAME      VARCHAR2(50)  ,
        ADD_TIME      DATE,
        MODIFY_ID      VARCHAR2(32)  ,
        MODIFY_CODE      VARCHAR2(50)  ,
        MODIFY_NAME      VARCHAR2(50)  ,
        MODIFY_TIME      DATE,
        CANCEL_ID      VARCHAR2(32)  ,
        CANCEL_CODE      VARCHAR2(50)  ,
        CANCEL_NAME      VARCHAR2(50)  ,
        CANCEL_TIME      DATE,
        CANCEL_FLAG      VARCHAR2(50)  ,
        BELONG_ID      VARCHAR2(32)  
)
tablespace SGIIP_DATA
pctfree 10
initrans 1
maxtrans 255
storage
(
initial 64
next 1
minextents 1
maxextents unlimited
);
-- Add comments to the columns

    comment on column EXP_TEST.TEST_CODE
    is '测试编码';
    comment on column EXP_TEST.ID
    is '主键';
    comment on column EXP_TEST.PROCESS_INSTANCE_ID
    is '流程id';
    comment on column EXP_TEST.PROCESS_INSTANCE_STATUS
    is '流程状态';
    comment on column EXP_TEST.ADD_ID
    is '添加人id';
    comment on column EXP_TEST.ADD_CODE
    is '添加人编码';
    comment on column EXP_TEST.ADD_NAME
    is '添加人名称';
    comment on column EXP_TEST.ADD_DEPT_CODE
    is '添加部门编码';
    comment on column EXP_TEST.ADD_DEPT_NAME
    is '添加部门名称';
    comment on column EXP_TEST.ADD_TIME
    is '添加时间';
    comment on column EXP_TEST.MODIFY_ID
    is '修改人id';
    comment on column EXP_TEST.MODIFY_CODE
    is '修改人编码';
    comment on column EXP_TEST.MODIFY_NAME
    is '修改人名称';
    comment on column EXP_TEST.MODIFY_TIME
    is '修改时间';
    comment on column EXP_TEST.CANCEL_ID
    is '作废人id';
    comment on column EXP_TEST.CANCEL_CODE
    is '作废人编码';
    comment on column EXP_TEST.CANCEL_NAME
    is '作废人名称';
    comment on column EXP_TEST.CANCEL_TIME
    is '作废时间';
    comment on column EXP_TEST.CANCEL_FLAG
    is '作废标记';
    comment on column EXP_TEST.BELONG_ID
    is 'BELONG_ID';


alter table EXP_TEST
add constraint EXP_TEST_PK primary key (ID)
using index
tablespace SGIIP_DATA
pctfree 10
initrans 2
maxtrans 255
storage
(
initial 64K
next 1M
minextents 1
maxextents unlimited
);
